> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RelationsSearchListProviderPersonActive

> Serve the active and passive texts of relations, with a given table as source (active) or destination (passive).

## "relationssearchlistproviderpersonactive" MDO List

Serve the active and passive texts of relations, with a given table as source (active)
or destination (passive).

To facilitate relation searching, we need to provide a way to choose <b>which</b> relation we
would like to find. This provider supplies one list (dynamically named) for each table that
is used as a source or destination (relationdefinition --> relationtarget).

Each relation target combination supplied by relationtarget causes the relationdefinition to
appear in the correct direction, in the list for a table. Each such list is always flat.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RelationsSearchListProvider">RelationsSearchListProvider</see> class.
The name of the MDO list is 'relationssearchlistproviderpersonactive'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/relationssearchlistproviderpersonactive
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("relationssearchlistproviderpersonactive", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                    | StyleHint | ExtraInfo |
| -- | ----------------------- | --------- | --------- |
| 2  | er en personlig venn av |           |           |
| 4  | arbeidet før for        |           |           |
| 5  | sitter i styret hos     |           |           |
| 6  | er i familie med        |           |           |
| 7  | kjenner                 |           |           |

## Related MDO Lists

* "relationssearchlistproviderpersonactiveheadings"
* "relationssearchlistproviderpersonactiveheadingswithallitem"
* "relationssearchlistproviderpersonactiveheadingswithallitemwithnoselection"
* "relationssearchlistproviderpersonactiveheadingswithnoselection"
* "relationssearchlistproviderpersonactivewithallitem"
* "relationssearchlistproviderpersonactivewithallitemwithnoselection"
* "relationssearchlistproviderpersonactivewithnoselection"


## Related topics

- [RelationsSearchListProviderPersonPersonActive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonpersonactive.md)
- [RelationsSearchListProviderPersonContactActive](/en/api/mdo-providers/reference/relationssearchlistproviderpersoncontactactive.md)
- [RelationsSearchListProviderContactPersonActive](/en/api/mdo-providers/reference/relationssearchlistprovidercontactpersonactive.md)
- [RelationsSearchListProviderPersonPersonPassive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonpersonpassive.md)
- [RelationsSearchListProviderPersonPassive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonpassive.md)
- [RelationsSearchListProviderPersonContactPassive](/en/api/mdo-providers/reference/relationssearchlistproviderpersoncontactpassive.md)
